=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2006-01-03 15:10:11 +0000
+++ bzrlib/builtins.py	2006-01-06 15:36:21 +0000
@@ -1972,13 +1972,13 @@
     In the future, uncommit will create a changeset, which can then
     be re-applied.
     """
-    takes_options = ['all', 'verbose', 'revision',
+    takes_options = ['verbose', 'revision',
                     Option('dry-run', help='Don\'t actually make changes'),
                     Option('force', help='Say yes to all questions.')]
     takes_args = ['location?']
     aliases = []
 
-    def run(self, location=None, all=False,
+    def run(self, location=None, 
             dry_run=False, verbose=False,
             revision=None, force=False):
         from bzrlib.branch import Branch
@@ -2015,8 +2015,7 @@
                     print 'Canceled'
                     return 0
 
-        uncommit(b, remove_files=all,
-                dry_run=dry_run, verbose=verbose,
+        uncommit(b, dry_run=dry_run, verbose=verbose,
                 revno=revno)
 
 

=== modified file 'bzrlib/uncommit.py'
--- bzrlib/uncommit.py	2005-11-23 15:32:07 +0000
+++ bzrlib/uncommit.py	2006-01-06 15:36:21 +0000
@@ -13,13 +13,12 @@
         print '* file does not exist: %r' % filename
 
 
-def uncommit(branch, remove_files=False,
-        dry_run=False, verbose=False, revno=None):
+def uncommit(branch, dry_run=False, verbose=False, revno=None):
     """Remove the last revision from the supplied branch.
 
-    :param remove_files: If True, remove files from the stores
-        as well.
-    :param force: Don't ask any questions
+    :param dry_run: Don't actually change anything
+    :param verbose: Print each step as you do it
+    :param revno: Remove back to this revision
     """
     from bzrlib.atomicfile import AtomicFile
     rh = branch.revision_history()
@@ -38,49 +37,12 @@
         for p in rev.parent_ids:
             inv_prev.append(branch.get_revision_inventory(p))
 
-        if remove_files:
-            # Figure out what text-store entries are new
-
-            # In the future, when we have text_version instead of
-            # text_id, we can just check to see if the text_version
-            # equals the current revision id.
-            for file_id in inv:
-                ie = inv[file_id]
-                if not hasattr(ie, 'text_id'):
-                    continue
-                for other_inv in inv_prev:
-                    if file_id in other_inv:
-                        other_ie = other_inv[file_id]
-                        if other_ie.text_id == ie.text_id:
-                            break
-                else:
-                    # None of the previous ancestors used
-                    # the same inventory
-                    files_to_remove.append(branch.controlfilename(['text-store',
-                        ie.text_id + '.gz']))
-            rev_file = branch.controlfilename(['revision-store',
-                    rev_id + '.gz'])
-            files_to_remove.append(rev_file)
-            inv_file = branch.controlfilename(['inventory-store',
-                    rev.inventory_id + '.gz'])
-            files_to_remove.append(inv_file)
-
-    if verbose and files_to_remove:
-        print 'Removing files:'
-        for f in files_to_remove:
-            print '\t%s' % branch.relpath(f)
-
     new_rev_history.write('\n'.join(rh))
 
     # Committing before we start removing files, because
     # once we have removed at least one, all the rest are invalid.
     if not dry_run:
         new_rev_history.commit()
-        if remove_files:
-            # Actually start removing files
-            for f in files_to_remove:
-                test_remove(f)
-
     else:
         new_rev_history.abort()
 

